Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#341 closed defect (fixed)

FTP-FS should allocate right number of bytes for strings

Reported by: thomas.doerfler Owned by: thomas.doerfler
Priority: normal Milestone: 2
Component: network/legacy Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

In function "rtems_ftp_open", memory gets allocated for various strings. Up to now no extra byte is allocated for the terminating NUL char :-(

Release:
RTEMS-ss-20021111

Environment:
any networking environment

Attachments (1)

ftpfs.patch (1.7 KB) - added by thomas.doerfler on 12/03/06 at 13:31:12.
ftpfs.patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 02/05/03 at 07:30:38 by thomas.doerfler

Owner: changed from eric to thomas.doerfler
Status: assignedwaiting

comment:2 Changed on 02/05/03 at 20:26:09 by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied

Changed on 12/03/06 at 13:31:12 by thomas.doerfler

Attachment: ftpfs.patch added

ftpfs.patch

Note: See TracTickets for help on using tickets.